### Method

# EDataBook BookBackend ref_data_book

since: 3.10

#### Declaration [src]

    EDataBook*
    e_book_backend_ref_data_book (
      EBookBackend* backend
    )

#### Description [src]

Returns the `EDataBook` for `backend`. The `EDataBook` is essentially the glue between incoming D-Bus requests and `backend`‘s native API.

An `EDataBook` should be set only once after `backend` is first created. If an `EDataBook` has not yet been set, the function returns `NULL`.

The returned `EDataBook` is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

Available since: 3.10

#### Return value

Type: `EDataBook`

An `EDataBook`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.